package com.ccnode.codegenerator.mybatisGenerator.plugins;

package .tmp;

import java.util.List;
import org.mybatis.generator.api.IntrospectedTable;
import org.mybatis.generator.api.PluginAdapter;
import org.mybatis.generator.api.dom.java.Interface;
import org.mybatis.generator.api.dom.java.Method;
import org.mybatis.generator.api.dom.java.Parameter;

public class P3CCommentPlugin extends PluginAdapter {
  public boolean validate(List<String> paramList) {
    return true;
  }
  
  public boolean clientInsertMethodGenerated(Method paramMethod, Interface paramInterface, IntrospectedTable paramIntrospectedTable) {
    paramMethod.addJavaDocLine("/**\n     * insert record to table\n     * @param record the record\n     * @return insert count\n     */");
    return super.clientInsertMethodGenerated(paramMethod, paramInterface, paramIntrospectedTable);
  }
  
  public boolean clientInsertSelectiveMethodGenerated(Method paramMethod, Interface paramInterface, IntrospectedTable paramIntrospectedTable) {
    paramMethod.addJavaDocLine("/**\n     * insert record to table selective\n     * @param record the record\n     * @return insert count\n     */");
    return super.clientInsertSelectiveMethodGenerated(paramMethod, paramInterface, paramIntrospectedTable);
  }
  
  public boolean clientSelectByPrimaryKeyMethodGenerated(Method paramMethod, Interface paramInterface, IntrospectedTable paramIntrospectedTable) {
    String str = ((Parameter)paramMethod.getParameters().get(0)).getName();
    paramMethod.addJavaDocLine("/**\n     * select by primary key\n     * @param " + str + " primary key\n     * @return object by primary key\n     */");
    return super.clientSelectByPrimaryKeyMethodGenerated(paramMethod, paramInterface, paramIntrospectedTable);
  }
  
  public boolean clientDeleteByPrimaryKeyMethodGenerated(Method paramMethod, Interface paramInterface, IntrospectedTable paramIntrospectedTable) {
    String str = ((Parameter)paramMethod.getParameters().get(0)).getName();
    paramMethod.addJavaDocLine("/**\n     * delete by primary key\n     * @param " + str + " primaryKey\n     * @return deleteCount\n     */");
    return super.clientDeleteByPrimaryKeyMethodGenerated(paramMethod, paramInterface, paramIntrospectedTable);
  }
  
  public boolean clientUpdateByPrimaryKeyWithoutBLOBsMethodGenerated(Method paramMethod, Interface paramInterface, IntrospectedTable paramIntrospectedTable) {
    paramMethod.addJavaDocLine("/**\n     * update record\n     * @param record the updated record\n     * @return update count\n     */");
    return super.clientUpdateByPrimaryKeyWithoutBLOBsMethodGenerated(paramMethod, paramInterface, paramIntrospectedTable);
  }
  
  public boolean clientUpdateByPrimaryKeySelectiveMethodGenerated(Method paramMethod, Interface paramInterface, IntrospectedTable paramIntrospectedTable) {
    paramMethod.addJavaDocLine("/**\n     * update record selective\n     * @param record the updated record\n     * @return update count\n     */");
    return super.clientUpdateByPrimaryKeySelectiveMethodGenerated(paramMethod, paramInterface, paramIntrospectedTable);
  }
}
